%define oname sylpheed
%define iconname sylpheed.png
%define extra_version 20040617

Summary: A GTK+ based, lightweight, and fast e-mail client
Name:	 %{oname}2
Version: 0.9.12
Release: 0.%{extra_version}.1mdk
Source: %oname-%version-gtk2-%extra_version.tar.bz2 
License: GPL
URL: http://sylpheed.good-day.net/
BuildRequires: gtk+2-devel
BuildRequires: imlib-devel
BuildRequires: libgpgme-devel
BuildRequires: libldap-devel 
BuildRequires: libpisock-devel 
BuildRequires: libncurses-devel
BuildRequires: readline-devel
BuildRequires: faces-devel
BuildRequires: ImageMagick
Requires: gtk+2 
Group: Networking/Mail
Buildroot: %_tmppath/%name-buildroot
Conflicts: sylpheed-main
Conflicts: sylpheed-claws

%description
This program is an X based fast e-mail client which has features
(or go for it :-)) like:
	o user-friendly and intuitive interface
	o integrated NetNews client (partially implemented)
	o ability of keyboard-only operation
	o Mew/Wanderlust-like key bind
	o multipart MIME
	o built-in image view
	o external editor support
	o unlimited multiple account handling
	o message queueing
	o filtering
	o XML-based address book
See 'README' for more information.
This is the gtk+2 port of sylpheed

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n  %oname-%version-gtk2-%extra_version

%build 

%configure2_5x --enable-gpgme --enable-jpilot --enable-ssl --enable-ldap

%make

%install

%makeinstall_std

mkdir -p %{buildroot}{%{_miconsdir},%{_iconsdir},%{_liconsdir},%{_menudir}}
convert sylpheed.png -geometry 48x48 %{buildroot}%{_liconsdir}/%{iconname}
convert sylpheed.png -geometry 32x32 %{buildroot}%{_iconsdir}/%{iconname}
convert sylpheed.png -geometry 16x16 %{buildroot}%{_miconsdir}/%{iconname}

(cd $RPM_BUILD_ROOT
cat > ./usr/lib/menu/%name <<EOF
?package(%name):\
command="%oname"\
icon="%iconname"\
title="Sylpheed"\
longtitle="A fast GTK+2 based Mail client"\
needs="x11"\
section="Internet/Mail"
EOF
)

 
 
%{find_lang}  %oname
 
%post
%update_menus
 
%postun
%clean_menus  

%clean
rm -rf $RPM_BUILD_ROOT

%files -n %name -f %oname.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog* NEWS README* INSTALL* TODO* 
%dir %{_datadir}/%{oname}/*
%dir %{_datadir}/%{oname}/*/*
%doc %dir %{_datadir}/%{oname} 
%doc %dir %{_datadir}/%{oname}/manual/*/*
%doc %{_datadir}/%{oname}/faq/*/*.html  
%_bindir/* 
%_menudir/*
%_iconsdir/%iconname
%_liconsdir/%iconname
%_miconsdir/%iconname 
 
%changelog
* Wed Jun 16 2004 Charles A Edwards <eslrahc@mandrake.org> 0.9.12-0.20040617.1mdk
- 0.9.12

* Thu Apr 01 2004 Charles A Edwards <eslrahc@mandrake.org> 0.9.9-0.20040229.1mdk
- 0.9.9-0.20040229
- add marco
- fix menu listing

* Sat Feb 0 2004 Charles A Edwards <eslrahc@mandrake.org> 0.9.8a-0.20040109.1mdk
- first mdk release
